import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# spo homesite get

Gets information about a home site

## Usage

```sh
m365 spo homesite get [options]
```

## Options

```md definition-list
`-u, --url <url>`
: URL of the home site.
```

<Global />

## Examples

Get information about a home site.

```sh
m365 spo homesite get --url https://contoso.sharepoint.com/sites/Home
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  {
    "Audiences": [
      {
        "Email": "Marketing@contoso.onmicrosoft.com",
        "Id": "contoso73155a8f-4db7-42e7-baf4-c724d24bf373",
        "Title": "Marketing Members"
      }
    ],
    "IsInDraftMode": false,
    "IsVivaBackendSite": false,
    "SiteId": "e16a5a81-67fb-4a5e-a959-1f33ae44c69f",
    "TargetedLicenseType": 0,
    "Title": "Home",
    "Url": "https://contoso.sharepoint.com/",
    "VivaConnectionsDefaultStart": false,
    "WebId": "2779dcbb-fae0-4b0c-a845-89ab4c941fab"
  }
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  Audiences                  : [{"Email":"Marketing@contoso.onmicrosoft.com","Id":"contoso73155a8f-4db7-42e7-baf4-c724d24bf373","Title":"Marketing Members"}]
  IsInDraftMode              : false
  IsVivaBackendSite          : false
  SiteId                     : e16a5a81-67fb-4a5e-a959-1f33ae44c69f
  TargetedLicenseType        : 0
  Title                      : Home
  Url                        : https://contoso.sharepoint.com/
  VivaConnectionsDefaultStart: false
  WebId                      : 2779dcbb-fae0-4b0c-a845-89ab4c941fab
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  IsInDraftMode,IsVivaBackendSite,SiteId,TargetedLicenseType,Title,Url,VivaConnectionsDefaultStart,WebId
  0,0,e16a5a81-67fb-4a5e-a959-1f33ae44c69f,0,Home,https://contoso.sharepoint.com/,0,2779dcbb-fae0-4b0c-a845-89ab4c941fab
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # spo homesite get --url "https://contoso.sharepoint.com"

  Date: 23/08/2025

  ## Home (https://contoso.sharepoint.com/)

  Property | Value
  ---------|-------
  IsInDraftMode | false
  IsVivaBackendSite | false
  SiteId | e16a5a81-67fb-4a5e-a959-1f33ae44c69f
  TargetedLicenseType | 0
  Title | Home
  Url | https://contoso.sharepoint.com/
  VivaConnectionsDefaultStart | false
  WebId | 2779dcbb-fae0-4b0c-a845-89ab4c941fab
  ```

  </TabItem>
</Tabs>

## More information

- SharePoint home sites: a landing for your organization on the intelligent intranet: [https://techcommunity.microsoft.com/t5/Microsoft-SharePoint-Blog/SharePoint-home-sites-a-landing-for-your-organization-on-the/ba-p/621933](https://techcommunity.microsoft.com/t5/Microsoft-SharePoint-Blog/SharePoint-home-sites-a-landing-for-your-organization-on-the/ba-p/621933)
